%global momorel 8
%global scim_ver 1.4.9
%global scim_major_version 1.4.0

Summary: FCITX Input Method Engine for SCIM
Name: scim-fcitx
Version: 3.1.1
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.scim-im.org/projects/imengines/
Group: Applications/System
Source0: http://dl.sourceforge.net/sourceforge/scim/%{name}.%{version}.tar.bz2
NoSource: 0
Patch0: fcitx-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: scim >= %{scim_ver}
BuildRequires: scim-devel >= %{scim_ver}
BuildRequires: coreutils

%description
scim-fcitx is a port of the fcitx Chinese input method for the SCIM input
method platform.  It provides Wubi, Erbi, Cangjie, and Pinyin styles of input.

%prep
%setup -q -n fcitx

%patch0 -p1 -b .gcc43~

%build
%configure --disable-static

# make -j2 doesn't work (3.1.1-1m)
# %%make
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of la file
find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS
%{_bindir}/createPYMB
%{_bindir}/mb2txt
%{_bindir}/txt2mb
%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/fcitx.so
%{_datadir}/scim/fcitx
%{_datadir}/scim/icons/fcitx

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.1-8m)
- full rebuild for mo7 release

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.1-7m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.1-6m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.1-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.1-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.1-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.1.1-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.1-1m)
- initial package for Momonga Linux
